Subject: bug#55294: Configure failure on Solaris 11.4

From: Steve Downey <[email-masked]>
Date: Tue, 10 May 2022 00:46:15 -0400

On Mon, May 9, 2022 at 10:35 PM Eli Zaretskii <[email-masked]> wrote:

> > Cc: [email-masked]
> > From: Steve Downey <[email-masked]>
> > Date: Mon, 9 May 2022 20:15:56 -0400
> >
> > In 11.4, sqrt is defined in libc.so as an absolute symbol, so the test
> for if -lm is necessary succeeds without
> > it. I haven't disassembled the new libc, but I suspect that you're right
> and they have a sqrt that is fast enough
> > either depends on a sqrt instruction or is otherwise "simple" for some
> value of simple.
>
> So you are saying that sqrt was actually in libc, but the rest of math
> functions are in libm, is that right?
>
> Exactly.

I also suspect that this will not be the only package broken, because lots
of people cargo cult this sort of autoconf check from GNU packages. At
least to the extent that people still use autotools.

If so, perhaps to make this test more future-proof, we should try
> several functions, not just one?
>

And gate linking libm on any of them being unavailable. But writing that
would mean having to resuscitate my M4 knowledge.